.side-nav {
    display: flex;
    flex-direction: column;
    margin-top: 3.5rem;

    list-style: none;

    font-size: 1.5rem;

    @include respond-to('tablet-portrait') {
        flex-direction: row;
        margin-top: 0;
    }

    @include respond-to('mobile') {
        font-size: 1.2rem;
    }

    &__item {
        position: relative;

        @include respond-to('tablet-portrait') {
            flex: 1;
        }

        &:not(:last-child) {
            margin-bottom: .8rem;

            @include respond-to('tablet-portrait') {
                margin-bottom: 0;
            }
        }

        &::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;

            height: 100%;
            width: 3px;

            background-color: var(--color-primary);

            transform: scaleY(0);
            transition: transform .1s,
                        width .4s cubic-bezier(1,0,0,1),
                        background-color .1s;
        }

        &:hover::before,
        &_active::before {
            width: 100%;
            transform: scaleY(1);
        }

        &:active::before {
            background-color: var(--color-primary-light);
        }
    }

    &__link:link,
    &__link:visited {
        display: flex;
        align-items: center;
        gap: 2rem;
        padding: 1.5rem 3rem;

        position: relative;
        z-index: 10;

        text-decoration: none;
        text-transform: uppercase;
        color: var(--color-grey-light-100);

        @include respond-to('tablet-portrait') {
            justify-content: center;
            padding: 2rem;
        }

        @include respond-to('mobile') {
            flex-direction: column;
            gap: 1rem;
            padding: 1rem;

            text-align: center;
        }
    }

    &__icon {
        width: 1.75rem;
        height: 1.75rem;

        fill: currentColor;

        @include respond-to('mobile') {
            width: 1.3rem;
            height: 1.3rem;
        }
    }
}
